Page MenuHomePhabricator

Add “restore” for Schemas
Closed, ResolvedPublic3 Story Points

Description

The “restore” button which we know from Wikidata is not a core MediaWiki feature: usually, you restore an old revision of a wikitext page by going to the old revision, editing it, and then saving that wikitext unchanged. For entities, that’s not possible, so Wikibase adds a “restore” button to RecentChanges, history etc., so you can restore an old version of the entity. We need to do the same thing for Schemas.

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as High priority.
Tarrow claimed this task.Jan 30 2019, 8:58 AM
Tarrow moved this task from Backlog to Doing on the Shape Expressions Sprint 1 board.
Tarrow removed Tarrow as the assignee of this task.Feb 7 2019, 2:46 PM
Tarrow moved this task from Doing to Backlog on the Shape Expressions Sprint 1 board.

back to ToDo since it looks like the undo chain will be v. different

Michael claimed this task.Feb 25 2019, 9:32 AM
Restricted Application added a project: User-Michael. · View Herald TranscriptFeb 25 2019, 9:32 AM

Change 492672 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseSchema@master] Extract diff context rendering into helper service

https://gerrit.wikimedia.org/r/492672

Change 492673 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseSchema@master] Add restore functionality

https://gerrit.wikimedia.org/r/492673

Change 492672 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Extract diff context rendering into helper service

https://gerrit.wikimedia.org/r/492672

Change 492673 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add restore functionality

https://gerrit.wikimedia.org/r/492673

Just tested, I clicked on "restore" on an old revision, I get to the page that displays the changes, but after entering a comment and clicking on "save", nothing happens, I stay on the changes page.

Change 494201 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Fix RestoreSubmitAction

https://gerrit.wikimedia.org/r/494201

Change 494201 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Fix RestoreSubmitAction

https://gerrit.wikimedia.org/r/494201

Lydia_Pintscher closed this task as Resolved.Mar 6 2019, 11:27 AM
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 3 board.

\o/